package com.ruoyi.invest.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
/**
 * 信用卡账单对象 credit_card_bill
 *
 * @author tianyongbao
 * @date 2024-03-19
 */
@ApiModel("信用卡账单对象")
@Data
public class CreditCardBill extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 账单名称 */
    @ApiModelProperty(value="账单名称")
    @Excel(name = "账单名称")
    private String name;

    /** 账单日 */
    @ApiModelProperty(value="账单日")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "账单日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date billDate;

    /** 信用卡id */
    @ApiModelProperty(value="信用卡id")
    private Long creditCardId;

    /** 账单周期 */
    @Excel(name = "账单周期", width = 40)
    private String billDatePeriod;

    /** 账单金额 */
    @ApiModelProperty(value="账单金额")
    @Excel(name = "账单金额")
    private Double billAmount;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    /** 删除标志（0代表存在 1代表删除） */
    private String billState;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("billDate", getBillDate())
            .append("creditCardId", getCreditCardId())
            .append("billDatePeriod", getBillDatePeriod())
            .append("billAmount", getBillAmount())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
                .append("billState", getBillState())
            .toString();
    }
}
